### Method

# Gdk Clipboard get_formats

#### Declaration [src]

    GdkContentFormats*
    gdk_clipboard_get_formats (
      GdkClipboard* clipboard
    )

#### Description [src]

Gets the formats that the clipboard can provide its current contents in.

Gets property | `Gdk.Clipboard:formats`

#### Return value

Type: `GdkContentFormats`

The formats of the clipboard.

The returned data is owned by the instance.